Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.app.params
Class ObjectFactory

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.app.params.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the umontreal.iro.lecuyer.contactcenters.app.params package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: umontreal.iro.lecuyer.contactcenters.app.params

Method Summary
`BatchSimParams` | `createBatchSimParams()` Create an instance of `BatchSimParams`
`JAXBElement<BatchSimParams>` | `createBatchSimParams(BatchSimParams value)` Create an instance of `JAXBElement``<``BatchSimParams``>`}
`CallTraceParams` | `createCallTraceParams()` Create an instance of `CallTraceParams`
`JAXBElement<ContactCenterEvalResultsParams>` | `createContactCenterEvalResults(ContactCenterEvalResultsParams value)` Create an instance of `JAXBElement``<``ContactCenterEvalResultsParams``>`}
`ContactCenterEvalResultsParams` | `createContactCenterEvalResultsParams()` Create an instance of `ContactCenterEvalResultsParams`
`JAXBElement<ContactCenterSimResultsParams>` | `createContactCenterSimResults(ContactCenterSimResultsParams value)` Create an instance of `JAXBElement``<``ContactCenterSimResultsParams``>`}
`ContactCenterSimResultsParams` | `createContactCenterSimResultsParams()` Create an instance of `ContactCenterSimResultsParams`
`ControlVariableParams` | `createControlVariableParams()` Create an instance of `ControlVariableParams`
`CTMCRepSimParams` | `createCTMCRepSimParams()` Create an instance of `CTMCRepSimParams`
`JAXBElement<CTMCRepSimParams>` | `createCtmcrepSimParams(CTMCRepSimParams value)` Create an instance of `JAXBElement``<``CTMCRepSimParams``>`}
`HistogramParams` | `createHistogramParams()` Create an instance of `HistogramParams`
`ObsMatrix` | `createObsMatrix()` Create an instance of `ObsMatrix`
`ObsMatrix.Obs` | `createObsMatrixObs()` Create an instance of `ObsMatrix.Obs`
`PerformanceMeasureParams` | `createPerformanceMeasureParams()` Create an instance of `PerformanceMeasureParams`
`PMMatrix` | `createPMMatrix()` Create an instance of `PMMatrix`
`PMMatrixInt` | `createPMMatrixInt()` Create an instance of `PMMatrixInt`
`PrintedStatParams` | `createPrintedStatParams()` Create an instance of `PrintedStatParams`
`PropertyNameParam` | `createPropertyNameParam()` Create an instance of `PropertyNameParam`
`RandomStreamsParams` | `createRandomStreamsParams()` Create an instance of `RandomStreamsParams`
`ReportParams` | `createReportParams()` Create an instance of `ReportParams`
`RepSimParams` | `createRepSimParams()` Create an instance of `RepSimParams`
`JAXBElement<RepSimParams>` | `createRepSimParams(RepSimParams value)` Create an instance of `JAXBElement``<``RepSimParams``>`}
`SequentialSamplingParams` | `createSequentialSamplingParams()` Create an instance of `SequentialSamplingParams`
`ServiceLevelParams` | `createServiceLevelParams()` Create an instance of `ServiceLevelParams`
`JAXBElement<SimParams>` | `createSimParams(SimParams value)` Create an instance of `JAXBElement``<``SimParams``>`}
`StratSimParams` | `createStratSimParams()` Create an instance of `StratSimParams`
`JAXBElement<StratSimParams>` | `createStratSimParams(StratSimParams value)` Create an instance of `JAXBElement``<``StratSimParams``>`}

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: umontreal.iro.lecuyer.contactcenters.app.params

Method Detail

### createPerformanceMeasureParams

    public PerformanceMeasureParams createPerformanceMeasureParams()

  Create an instance of `PerformanceMeasureParams`

### createContactCenterEvalResultsParams

    public ContactCenterEvalResultsParams createContactCenterEvalResultsParams()

  Create an instance of `ContactCenterEvalResultsParams`

### createHistogramParams

    public HistogramParams createHistogramParams()

  Create an instance of `HistogramParams`

### createContactCenterSimResultsParams

    public ContactCenterSimResultsParams createContactCenterSimResultsParams()

  Create an instance of `ContactCenterSimResultsParams`

### createPMMatrix

    public PMMatrix createPMMatrix()

  Create an instance of `PMMatrix`

### createStratSimParams

    public StratSimParams createStratSimParams()

  Create an instance of `StratSimParams`

### createPropertyNameParam

    public PropertyNameParam createPropertyNameParam()

  Create an instance of `PropertyNameParam`

### createRepSimParams

    public RepSimParams createRepSimParams()

  Create an instance of `RepSimParams`

### createObsMatrixObs

    public ObsMatrix.Obs createObsMatrixObs()

  Create an instance of `ObsMatrix.Obs`

### createRandomStreamsParams

    public RandomStreamsParams createRandomStreamsParams()

  Create an instance of `RandomStreamsParams`

### createControlVariableParams

    public ControlVariableParams createControlVariableParams()

  Create an instance of `ControlVariableParams`

### createCallTraceParams

    public CallTraceParams createCallTraceParams()

  Create an instance of `CallTraceParams`

### createBatchSimParams

    public BatchSimParams createBatchSimParams()

  Create an instance of `BatchSimParams`

### createServiceLevelParams

    public ServiceLevelParams createServiceLevelParams()

  Create an instance of `ServiceLevelParams`

### createPMMatrixInt

    public PMMatrixInt createPMMatrixInt()

  Create an instance of `PMMatrixInt`

### createSequentialSamplingParams

    public SequentialSamplingParams createSequentialSamplingParams()

  Create an instance of `SequentialSamplingParams`

### createReportParams

    public ReportParams createReportParams()

  Create an instance of `ReportParams`

### createPrintedStatParams

    public PrintedStatParams createPrintedStatParams()

  Create an instance of `PrintedStatParams`

### createCTMCRepSimParams

    public CTMCRepSimParams createCTMCRepSimParams()

  Create an instance of `CTMCRepSimParams`

### createObsMatrix

    public ObsMatrix createObsMatrix()

  Create an instance of `ObsMatrix`

### createContactCenterEvalResults

    public JAXBElement<ContactCenterEvalResultsParams> createContactCenterEvalResults(ContactCenterEvalResultsParams value)

  Create an instance of `JAXBElement``<``ContactCenterEvalResultsParams``>`}

### createCtmcrepSimParams

    public JAXBElement<CTMCRepSimParams> createCtmcrepSimParams(CTMCRepSimParams value)

  Create an instance of `JAXBElement``<``CTMCRepSimParams``>`}

### createStratSimParams

    public JAXBElement<StratSimParams> createStratSimParams(StratSimParams value)

  Create an instance of `JAXBElement``<``StratSimParams``>`}

### createBatchSimParams

    public JAXBElement<BatchSimParams> createBatchSimParams(BatchSimParams value)

  Create an instance of `JAXBElement``<``BatchSimParams``>`}

### createContactCenterSimResults

    public JAXBElement<ContactCenterSimResultsParams> createContactCenterSimResults(ContactCenterSimResultsParams value)

  Create an instance of `JAXBElement``<``ContactCenterSimResultsParams``>`}

### createRepSimParams

    public JAXBElement<RepSimParams> createRepSimParams(RepSimParams value)

  Create an instance of `JAXBElement``<``RepSimParams``>`}

### createSimParams

    public JAXBElement<SimParams> createSimParams(SimParams value)

  Create an instance of `JAXBElement``<``SimParams``>`}

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.